Bug 398301 - Review Request: siril - Siril is an astronomical image processing software for Linux
Review Request: siril - Siril is an astronomical image processing software fo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 06:10 EST by Marek Mahut
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
strace output (193.99 KB, text/plain)
2007-11-25 20:27 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description Marek Mahut 2007-11-25 06:10:52 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/siril/siril.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/siril/siril-0.8-1.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=257527
Description: SIRIL is an abbreviation for nothing except IRIS reversed with
a trailing L added for linux(though Siril has nothing linux-specific). 
It's an astronomical image processing software for Linux.

http://dulle.free.fr/alidade/siril.php?lan=en
Comment 1 Parag AN(पराग) 2007-11-25 08:50:59 EST
You also don't need to have setup written as 
%setup -q -n %{name}-%{version}
make it simple as 
%setup -q

I saw you can use Source URL as 
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Also, When I installed this application and run it from console and then exit
it, I got 
** WARNING **: Couldn't find pixmap file: siril_1.xpm
But, I can see its installed file.
Comment 2 Marek Mahut 2007-11-25 13:16:01 EST
Hello Parag, thank you for this review too.

The spec file is updated, and srpm is here

  http://mmahut.fedorapeople.org/reviews/siril/siril-0.8-2.src.rpm

Regarding the WARNING, can you please strace siril and let me know what's the
path of file he can't find?

Because, it's working fine for me,

[mmahut@storm siril]$ siril 
[mmahut@storm siril]$ 
Comment 3 Parag AN(पराग) 2007-11-25 20:27:16 EST
Created attachment 268441 [details]
strace output
Comment 4 Parag AN(पराग) 2007-11-25 20:28:58 EST
So,
rpm -ql siril gave xpm file path as
/usr/share/pixmaps/siril_1.xpm
and strace showed that its looking that xpm file as
/usr/share/siril/pixmaps/siril_1.xpm
Comment 5 Marek Mahut 2007-11-26 06:01:34 EST
Hello Parag,

Thank you, spec file updated.

   http://mmahut.fedorapeople.org/reviews/siril/siril-0.8-3.src.rpm
Comment 6 Parag AN(पराग) 2007-11-26 06:40:35 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
d23d119c1b275bfffcb28f220e19e066  siril-0.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains contents.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.

Comment 7 Marek Mahut 2007-11-26 06:55:00 EST
Thank you Parag!

New Package CVS Request
=======================
Package Name: siril
Short Description: Siril is an astronomical image processing software for Linux
Owners: mmahut
Branches: devel
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-11-26 12:46:18 EST
cvs done.
Comment 9 Marek Mahut 2007-11-26 13:40:03 EST
Build.

Thank you Kevin, Thank you Parag!

Note You need to log in before you can comment on or make changes to this bug.